BP_OLIGO_COUNT(1)

NAME
bp_oligo_count - oligo count and frequency

SYNOPSIS
  Usage:  bp_oligo_count [-h/--help] [-l/--length OLIGOLENGTH]
          [-f/--format SEQFORMAT] [-i/--in/-s/--sequence SEQFILE]
          [-o/--out OUTFILE]

DESCRIPTION
This scripts counts occurrence and frequency for all oligonucleotides of given length.

It can be used to determine what primers are useful for frequent priming of nucleic acid for random labeling.

Note that this script could be run by utilizing the compseq program which is part of EMBOSS.

OPTIONS
The default sequence format is fasta. If no outfile is given, the results will be printed to standard out. All other options can entered interactively.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via the web:

  https://github.com/bioperl/bioperl-live/issues

AUTHOR - Charles C. Kim
Email cckim@stanford.edu

HISTORY
Written July 2, 2001

Submitted to bioperl scripts project 2001/08/06

>> 100 x speed optimization by Heikki Lehvaslaiho